Bug 1333940 - glibc: Avoid build failure in TZ tests
Summary: glibc: Avoid build failure in TZ tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1347819
TreeView+ depends on / blocked
 
Reported: 2016-05-06 17:58 UTC by Florian Weimer
Modified: 2016-06-17 17:57 UTC (History)
9 users (show)

Fixed In Version: glibc-2.22-15.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1347819 (view as bug list)
Environment:
Last Closed: 2016-05-10 18:57:52 UTC


Attachments (Terms of Use)

Description Florian Weimer 2016-05-06 17:58:18 UTC
glibc-2.22-12.fc23.i686 failed with:

cp testdata/XT1 /builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT1
cp testdata/XT2 /builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT2
cp testdata/XT3 /builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT3
cp testdata/XT4 /builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT4
cp: cp: cannot create regular file '/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT1'cannot create regular file '/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT3': No such file or directory: No such file or directory
Makefile:126: recipe for target '/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT1' failed
make[2]: *** [/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT1] Error 1
make[2]: *** Waiting for unfinished jobs....
Makefile:126: recipe for target '/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT3' failed
make[2]: *** [/builddir/build/BUILD/glibc-2.22/build-i686-redhat-linux/timezone/testdata/XT3] Error 1

This is likely due to lack of the following upstream fix (which went into 2.23):

commit 3cc652e951c71785032019fec82e3b8543d85305
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Fri Sep 18 13:49:08 2015 -0400

    timezone: fix parallel check failures
    
    The XT testdata install rules expect the testdata dir to already exist in
    the build tree, but it doesn't actually create it.  Instead, it relies on
    the build-testdata define happening to be executed before it (which runs
    zic which creates the dir).  When we run in parallel though, it's easy to
    hit a failure:
    $ cd timezone
    $ rm -rf $objdir/timezone/testdata
    $ make check -j
    ...
    cp testdata/XT1 .../timezone/testdata/XT1
    cp: cannot create regular file '.../timezone/testdata/XT1': No such file or directory
    Makefile:116: recipe for target '.../timezone/testdata/XT1' failed
    make: *** [.../timezone/testdata/XT1] Error 1
    make: *** Waiting for unfinished jobs....

Comment 1 Fedora Update System 2016-05-07 17:19:29 UTC
glibc-2.22-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 2 Fedora Update System 2016-05-08 16:25:26 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 3 Fedora Update System 2016-05-10 17:57:31 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.